unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Edit3: TEdit;
    Edit4: TEdit;
    Edit1: TEdit;
    Edit2: TEdit;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Panel1: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer
      );
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure RadioButton1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  x1,y1,x2,y2:integer;
implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  Label1.Caption:=inttostr(x);
Label2.Caption:=inttostr(Y);

end;

procedure TForm1.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
Edit3.Text:=inttostr(x);
x2:=x;
Edit4.Text:=inttostr(Y);
y2:=y;
Image1.Canvas.Pen.Color:=clRed;
Image1.Canvas.Brush.Style:=bsclear;
case Image1.Tag of
1: Begin Image1.Canvas.MoveTo(x1,y1); Image1.Canvas.LineTo(x2,y2); end;
2:Image1.Canvas.Rectangle(x1,y1,x2,y2);
3:Image1.Canvas.Ellipse(x1,y1,x2,y2);
end;
end;

procedure TForm1.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Edit1.Text:=inttostr(x);
x1:=x;
Edit2.Text:=inttostr(Y);
y1:=y;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  Image1.Tag:= (Sender as TRadioButton).Tag;
end;

end.

